curl --request GET \
--url https://api.plane.com/v1/roles \
--header 'Authorization: Bearer <token>'{
"roles": [
{
"id": "wrl_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"title": "Software Engineer",
"responsibilities": "Design, develop, and maintain software applications.",
"level": 3,
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Returns a list of all roles in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/roles \
--header 'Authorization: Bearer <token>'{
"roles": [
{
"id": "wrl_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"title": "Software Engineer",
"responsibilities": "Design, develop, and maintain software applications.",
"level": 3,
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, starting with obj_bar,
your subsequent call can include ending_before=obj_bar in order to fetch the previous page of
the list.roles property that contains an array of up to limit roles, starting after role starting_after.
Each entry in the array is a separate role object. If no more roles are available, the resulting array will be empty.
{
"roles": [
{
"id": "wrl_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"title": "Software Engineer",
"responsibilities": "Design, develop, and maintain software applications.",
"level": 3,
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Was this page helpful?